import XmlSchemaDefinition from './XmlSchemaDefinition';
export default class DocumentTypeDefinition {
    /**
     * Выделить безымянные типы, добавить им имена и добавить их в DTD.
     *
     * Проходимся по всем узлам, ищем типы комплексные и безымянные.
     * Необходимо, чтобы такие типы были оформлены как отдельные модели.
     * Иначе не будет возможности сослаться на них в Ext.data.field.Field.reference.
     * http://docs.sencha.com/extjs/6.2.0/classic/Ext.data.field.Field.html#cfg-reference
     * http://docs.sencha.com/extjs/6.2.0/classic/Ext.data.schema.Reference.html#cfg-type
     *
     * Пример такого элемента это SendNotificationsListMPResponse из файла DebtorOperations.xsd
     *
     * @param {DocumentTypeDefinition} dtd
     */
    static findAndAddNonameTypes(dtd: DocumentTypeDefinition): void;
    static createBaseXsd(): XmlSchemaDefinition;
    private xsds;
    readonly schemas: XmlSchemaDefinition[];
    constructor();
    addXsd(xsd: XmlSchemaDefinition): this;
    getXsd(namespace: string): XmlSchemaDefinition;
}
