import DocumentTypeDefinition from './DocumentTypeDefinition';
import Type from './node/Type';
import SimpleType from './node/simpleType/SimpleType';
import ComplexType from './node/ComplexType';
import Node from './node/Node';
import Namespace from './Namespace';
import Element from './node/Element';
export default class XmlSchemaDefinition extends Node {
    id: string;
    static load(id: string, filePath: string): Promise<XmlSchemaDefinition>;
    protected namespaces: Namespace[];
    types: Type[];
    elements: Element[];
    readonly namespace: string;
    private readonly prefix;
    dtd: DocumentTypeDefinition;
    constructor(data: any, id: string);
    findType(fullName: string, TypeClass?: typeof ComplexType): ComplexType;
    findType(fullName: string, TypeClass?: typeof SimpleType): SimpleType;
    addType(type: Type): this;
}
