import XmlSchemaDefinition from '../XmlSchemaDefinition';
import Node from './Node';
import Type from './Type';
import ComplexType from './ComplexType';
export interface IExtFieldConfig {
    name: string;
    type: string;
    mapping?: string;
}
/**
 * Объявляет элемент.
 * https://msdn.microsoft.com/ru-ru/library/ms256118%28v=vs.120%29.aspx?f=255&MSPPError=-2147217396
 */
export default class Element extends Node {
    readonly name: string;
    readonly xsd: XmlSchemaDefinition;
    readonly path: string[];
    readonly className: string;
    private _type;
    type: Type;
    readonly extName: string;
    readonly extFieldConfig: IExtFieldConfig;
    readonly baseComplexType: ComplexType;
    constructor(data: any, ownerNode: Node);
}
