import Node from './Node';
import SimpleType from './simpleType/SimpleType';
/**
 * Задает ограничения на определение простого типа.
 * https://msdn.microsoft.com/ru-ru/library/ms256057%28v=vs.120%29.aspx?f=255&MSPPError=-2147217396
 * Задает ограничения на определение simpleContent.
 * https://msdn.microsoft.com/ru-ru/library/ms256219(v=vs.120).aspx
 * Задает ограничения на определение complexContent.
 * https://msdn.microsoft.com/ru-ru/library/ms256061(v=vs.120).aspx
 */
export default class Restriction extends Node {
    private ownerSimpleType;
    readonly baseSimpleTypeFullName: string;
    readonly baseSimpleType: SimpleType;
    readonly rootSimpleType: any;
    constructor(data: any, ownerSimpleType: SimpleType);
}
