import Service from './Service';
import Binding from './Binding';
import PortType from './PortType';
import Message from './Message';
/**
 * Чтение и парсинг WSDL-файлов.
 * Поддерживается версия 1.1.
 */
export default class WebServiceDefinition {
    private wsdlDocument;
    wsdlDocumentSelect: Function;
    readonly services: Service[];
    namespaces: {
        [prefix: string]: string;
    };
    constructor();
    load(filePath: string): Promise<this>;
    select(xpath: string): any;
    findBinding(bindingName: string): Binding;
    findPortType(portTypeName: string): PortType;
    findMessage(messageName: string): Message;
}
